# NOTES:
# - MATE build order: http://wiki.mate-desktop.org/building#building_order
# - To see what is present in specific release, see roadmap: http://wiki.mate-desktop.org/roadmap
# - To look into future (what has less point of packaging as due being removed/deprecated):
#   http://wiki.mate-desktop.org/status:1.6
# - git page is helpful (obsolete junk under removed section): # http://git.mate-desktop.org/
# - plugins supported by community http://wiki.mate-desktop.org/plugins
# - OpenSUSE MATE page: http://en.opensuse.org/MATE_Desktop
#
Summary:	MATE Desktop Environment - core packages
Summary(pl.UTF-8):	Środowisko graficzne MATE - pakiety podstawowe
Name:		metapackage-mate
Version:	1.8
Release:	3
License:	GPL v2+
Group:		X11/Applications
Requires:	caja >= %{version}
Requires:	engrampa >= %{version}
Requires:	eom >= %{version}
Requires:	gnome-keyring >= 3.0.0
Requires:	marco >= %{version}
Requires:	mate-backgrounds >= %{version}
Requires:	mate-control-center >= %{version}
Requires:	mate-desktop >= %{version}
Requires:	mate-dialogs >= %{version}
Requires:	mate-icon-theme >= %{version}
Requires:	mate-media >= %{version}
Requires:	mate-menus >= %{version}
Requires:	mate-notification-daemon >= %{version}
Requires:	mate-panel >= %{version}
Requires:	mate-polkit >= %{version}
Requires:	mate-power-manager >= %{version}
Requires:	mate-screensaver >= %{version}
Requires:	mate-session-manager >= %{version}
Requires:	mate-settings-daemon >= %{version}
Requires:	mate-system-monitor >= %{version}
Suggests:	%{name}-extras = %{version}-%{release}
Suggests:	pulseaudio-alsa
Suggests:	xscreensaver
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MATE Desktop Environment (metapackage). This brings core MATE
packages.

MATE is a fork of GNOME 2. It provides an intuitive and attractive
desktop to Linux users using traditional metaphors.

%description -l pl.UTF-8
Środowisko graficzne MATE (metapakiet). Ten metapakiet obejmuje
podstawowe pakiety MATE.

MATE to odgałęzienie GNOME 2. Zapewnia intuicyjne i atrakcyjne
środowisko graficzne dla użytkowników Linuksa przy użyciu tradycyjnych
metafor.

%package extras
Summary:	MATE Desktop Environment - additional packages
Summary(pl.UTF-8):	Środowisko graficzne MATE - pakiety opcjonalne
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	atril >= %{version}
Requires:	mate-applet-accessx-status >= %{version}
Requires:	mate-applet-battstat >= %{version}
Requires:	mate-applet-charpicker >= %{version}
Requires:	mate-applet-command >= %{version}
Requires:	mate-applet-cpufreq >= %{version}
Requires:	mate-applet-drivemount >= %{version}
Requires:	mate-applet-geyes >= %{version}
Requires:	mate-applet-gweather >= %{version}
Requires:	mate-applet-indicator >= %{version}
Requires:	mate-applet-invest >= %{version}
Requires:	mate-applet-multiload >= %{version}
Requires:	mate-applet-netspeed >= %{version}
Requires:	mate-applet-sensors >= %{version}
Requires:	mate-applet-stickynotes >= %{version}
Requires:	mate-applet-timer >= %{version}
Requires:	mate-applet-trash >= %{version}
Requires:	mate-calc >= %{version}
Requires:	mate-icon-theme-faenza >= %{version}
Requires:	mate-netbook >= %{version}
Requires:	mate-screenshot >= %{version}
Requires:	mate-system-tools >= %{version}
Requires:	mate-terminal >= %{version}
Requires:	mate-themes >= %{version}
Requires:	mate-utils >= %{version}
Requires:	mozo >= %{version}
Requires:	pluma >= %{version}

%description extras
MATE Desktop Environment (metapackage). This brings additional MATE
packages.

%description extras -l pl.UTF-8
Środowisko graficzne MATE (metapakiet). Ten metapakiet obejmuje
dodatkowe, opcjonalne pakiety MATE.

%prep

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)

%files extras
%defattr(644,root,root,755)
%changelog
* Thu Apr 03 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/metapackage-mate.git;a=log;h=master

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> 12622a0
- adjust for mate-screenshot split

* Sat Mar 15 2014 Elan Ruusamäe <glen@delfi.ee> d1afe6a
- caja extensions are suggested from caja package

* Mon Mar 10 2014 Jan Palus <jan.palus@gmail.com> ad62fe3
- remove caja sendto bluetooth extension until mate figures bluetooth
  situation
- don't restore mate-user-share unless we really want desktop users to
  pull apache httpd distribution

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> 156d7ab
- up to 1.8 release

* Tue Feb 18 2014 Jan Rękorajski <baggins@pld-linux.org> 48b6706
- fixed typos
- rel 4

* Sun Feb 16 2014 Jakub Bogusz <qboosh@pld-linux.org> bfefa76
- added missing extras subpackage, release 3

* Sat Jan 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 67e79d3
- release 2

* Sat Jan 18 2014 Jakub Bogusz <qboosh@pld-linux.org> a651566
- "extras" Suggests moved to -extras subpackage

* Thu Jan 09 2014 Jakub Bogusz <qboosh@pld-linux.org> 31b4076
- more packages; should be (maybe close to) complete MATE 1.6

* Thu Apr 04 2013 Elan Ruusamäe <glen@delfi.ee> 0aad5a3
- mate 1.6 was released on 2013-04-02

* Fri Mar 29 2013 Elan Ruusamäe <glen@delfi.ee> cc9975c
- mate-conf is deprecated in 1.5+

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> 026cdc2
- pulse is the audio backend

* Wed Feb 06 2013 Elan Ruusamäe <glen@delfi.ee> 1f9118e
- a sane "Desktop" contains screensaver :)

* Sun Jan 20 2013 Elan Ruusamäe <glen@delfi.ee> bcfe91f
- reorganize notes, add wiki link to community plugins

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> cd289e5
- add link to http://git.mate-desktop.org/ for info of active projects

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> ef38b9c
- rel 1

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> d077988
- suggest optional candy packages. note about build order

* Sat Dec 22 2012 Elan Ruusamäe <glen@delfi.ee> 95ac2fc
- new, version MATE Desktop 1.5.0

